
Redmine - Patch #36182

Show notifications for all Redmine users

2021-11-11 05:54 - Mizuki ISHIKAWA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Description

This patch adds the feature to display text throughout the site once it has been set in Settings > Administration.

 screenshot-2021-11-11-10.41.31.png  screenshot-2021-11-11-10.41.49.png 

There is already a famous plugin called Redmine banner that is used by many people. 

https://www.redmine.org/plugins/redmine_banner

This patch only provides very simple functionality, so I think you will need the Redmine banner plugin to change the notification

destination and design.

Related issues:

Has duplicate Redmine - Feature #36942: Admin status messages on every page Closed

History

#1 - 2022-04-16 05:19 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2022-04-19 14:50 - Holger Just

- Has duplicate Feature #36942: Admin status messages on every page added

#3 - 2022-04-19 16:16 - C S

+1

#4 - 2022-04-20 08:11 - C S

As a info for all: https://www.redmine.org/plugins/redmine_banner works also fine with 4.2.5

#5 - 2022-06-20 06:03 - Mizuki ISHIKAWA

- File show-notifications-v2.patch added

I have updated the patch.

Change the position of the banner-text display. This will also accommodate narrow screen widths.

Change banner text to be hidden on login page when Setting.login_required? is true.

As a info for all: https://www.redmine.org/plugins/redmine_banner works also fine with 4.2.5

 The redmine_banner plugin has many features and is very useful.

This patch is intended to allow minimal banner functionality without the plugin.

#6 - 2022-06-20 06:07 - Mizuki ISHIKAWA

- File screenshot-2022-06-20-13.05.50.png added

- File screenshot-2022-06-20-13.06.00.png added

Screenshots:

 

2025-05-01 1/5

https://www.redmine.org/plugins/redmine_banner
https://www.redmine.org/plugins/redmine_banner
https://www.redmine.org/plugins/redmine_banner


screenshot-2022-06-20-13.05.50.png 
screenshot-2022-06-20-13.06.00.png 

#7 - 2022-06-24 10:45 - Go MAEDA
- File Screenshot-2022-06-24.png added

- File show-notifications-v3.patch added

I have updated the patch.

Place the banner above the top menu

Change the background color to green (the same color with flash notices)

 Screenshot-2022-06-24.png 

#8 - 2022-06-24 10:46 - Go MAEDA

- Category set to Administration

#9 - 2022-06-24 17:07 - Ko Nagase

+1

"flush notices" (green) color looks good !

There may be a case that a system administrator may want to emphasize a banner message more,

so it may be even better if "flush warning" (yellow) and "flush error" (red) are supported with selector.

#10 - 2022-06-27 02:58 - Mizuki ISHIKAWA

Go MAEDA wrote:

I have updated the patch.

Place the banner above the top menu

Change the background color to green (the same color with flash notices)

 Thank you for improving the patch.

Looks good.

#11 - 2022-06-27 06:16 - Go MAEDA

Ko Nagase wrote:

There may be a case that a system administrator may want to emphasize a banner message more,

so it may be even better if "flush warning" (yellow) and "flush error" (red) are supported with selector.

 Good idea!

However, in order to ship this feature as soon as possible, I think it would be better to keep the patch simple and discuss the feature to set the style of

the banner in a separate issue after this patch is committed.

#12 - 2022-06-27 06:35 - Ko Nagase

Go MAEDA wrote:

However, in order to ship this feature as soon as possible, I think it would be better to keep the patch simple and discuss the feature to set the

style of the banner in a separate issue after this patch is committed.

 Okay, no problem, because I rather want to see the functionality soon. :)

Thanks for confirmation & reply !

#13 - 2022-06-27 21:19 - Marius BĂLTEANU

I don't think that we should commit this as it is. We should implement a proper banner/notification system with start and end dates for the messages.

#14 - 2022-06-30 06:27 - Mizuki ISHIKAWA

Marius BALTEANU wrote:

I don't think that we should commit this as it is. We should implement a proper banner/notification system with start and end dates for the

messages.

 Thank you for your feedback.

I submitted a simple patch because I thought it can be fully utilized with minimal functionality.
I also think that with the current design using the Setting table, it is easy to extend it later with additional options such as publication date and time

information, display type, etc.

I would like to hear your opinion on the requirements and design of the banner/notification system.

Files

show-notifications.patch 2.89 KB 2021-11-11 Mizuki ISHIKAWA

screenshot-2021-11-11-10.41.31.png 84.9 KB 2021-11-11 Mizuki ISHIKAWA

screenshot-2021-11-11-10.41.49.png 297 KB 2021-11-11 Mizuki ISHIKAWA

show-notifications-v2.patch 4.99 KB 2022-06-20 Mizuki ISHIKAWA

screenshot-2022-06-20-13.05.50.png 575 KB 2022-06-20 Mizuki ISHIKAWA

screenshot-2022-06-20-13.06.00.png 518 KB 2022-06-20 Mizuki ISHIKAWA

Screenshot-2022-06-24.png 160 KB 2022-06-24 Go MAEDA

show-notifications-v3.patch 4.89 KB 2022-06-24 Go MAEDA
